
Website Input - Task #2502

Task # 2484 (Closed): Python 3 support

Fix deprecation warnings

11/09/2019 12:39 AM - Luke Murphey

Status: Closed Start date: 11/08/2019

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category: Input: Web Spider Estimated time: 0.00 hour

Target version: 4.5.8   

Description

../src/bin/website_input_app/web_scraper.py:744: DeprecationWarning: The unescape method is deprec

ated and will be removed in 3.5, use html.unescape() instead.

     [exec]   return h.unescape(text)

 ../src/bin/html5lib/_trie/_base.py:3: DeprecationWarning: Using or importing the ABCs from 'colle

ctions' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working

Associated revisions

Revision 733 - 11/09/2019 01:35 AM - lmurphey

Fixing deprecation issue

Reference #2502

Revision 738 - 11/09/2019 03:35 AM - lmurphey

Fixing deprecation issue

Reference #2502

History

#1 - 11/09/2019 03:35 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
